//
// Copyright (C) 2022 Open Source Robotics Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        (unknown)
// source: events/simulation_finished.proto

package events

import (
	metadata "gitlab.com/ignitionrobotics/cloudsim/api/metadata"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// SimulationFailed is used to represent that a certain simulation failed.
type SimulationFinished struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Metadata contains request-specific information about this event.
	Metadata *metadata.Event `protobuf:"bytes,1,opt,name=metadata,proto3" json:"metadata,omitempty"`
	// GroupId contains the simulation group id.
	GroupId string `protobuf:"bytes,2,opt,name=group_id,json=groupId,proto3" json:"group_id,omitempty"`
	// Results contains the file content of the results generated by running tests on gazebo.
	// This field is optional.
	Results []byte `protobuf:"bytes,3,opt,name=results,proto3" json:"results,omitempty"`
	// Error indicates whether there was an issue running the simulation.
	// This field will only be populated if there was a runtime error that prevented the
	// simulation from finishing. It will not be populated if tests failed.
	// This field is optional.
	Error string `protobuf:"bytes,4,opt,name=error,proto3" json:"error,omitempty"`
	// CompletedAt contains the timestamp when simulation stopped.
	CompletedAt *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=completed_at,json=completedAt,proto3" json:"completed_at,omitempty"`
}

func (x *SimulationFinished) Reset() {
	*x = SimulationFinished{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_simulation_finished_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SimulationFinished) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SimulationFinished) ProtoMessage() {}

func (x *SimulationFinished) ProtoReflect() protoreflect.Message {
	mi := &file_events_simulation_finished_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SimulationFinished.ProtoReflect.Descriptor instead.
func (*SimulationFinished) Descriptor() ([]byte, []int) {
	return file_events_simulation_finished_proto_rawDescGZIP(), []int{0}
}

func (x *SimulationFinished) GetMetadata() *metadata.Event {
	if x != nil {
		return x.Metadata
	}
	return nil
}

func (x *SimulationFinished) GetGroupId() string {
	if x != nil {
		return x.GroupId
	}
	return ""
}

func (x *SimulationFinished) GetResults() []byte {
	if x != nil {
		return x.Results
	}
	return nil
}

func (x *SimulationFinished) GetError() string {
	if x != nil {
		return x.Error
	}
	return ""
}

func (x *SimulationFinished) GetCompletedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.CompletedAt
	}
	return nil
}

var File_events_simulation_finished_proto protoreflect.FileDescriptor

var file_events_simulation_finished_proto_rawDesc = []byte{
	0x0a, 0x20, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2f, 0x73, 0x69, 0x6d, 0x75, 0x6c, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x5f, 0x66, 0x69, 0x6e, 0x69, 0x73, 0x68, 0x65, 0x64, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x06, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x1a, 0x14, 0x6d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x22, 0xcb, 0x01, 0x0a, 0x12, 0x53, 0x69, 0x6d, 0x75, 0x6c, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x46, 0x69, 0x6e, 0x69, 0x73, 0x68, 0x65, 0x64, 0x12, 0x2b, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61,
	0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x6d, 0x65, 0x74,
	0x61, 0x64, 0x61, 0x74, 0x61, 0x2e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x08, 0x6d, 0x65, 0x74,
	0x61, 0x64, 0x61, 0x74, 0x61, 0x12, 0x19, 0x0a, 0x08, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x49, 0x64,
	0x12, 0x18, 0x0a, 0x07, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0c, 0x52, 0x07, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x72,
	0x72, 0x6f, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72,
	0x12, 0x3d, 0x0a, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x52, 0x0b, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x41, 0x74, 0x42,
	0x31, 0x5a, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x67,
	0x6e, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x72, 0x6f, 0x62, 0x6f, 0x74, 0x69, 0x63, 0x73, 0x2f, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x73, 0x69, 0x6d, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_events_simulation_finished_proto_rawDescOnce sync.Once
	file_events_simulation_finished_proto_rawDescData = file_events_simulation_finished_proto_rawDesc
)

func file_events_simulation_finished_proto_rawDescGZIP() []byte {
	file_events_simulation_finished_proto_rawDescOnce.Do(func() {
		file_events_simulation_finished_proto_rawDescData = protoimpl.X.CompressGZIP(file_events_simulation_finished_proto_rawDescData)
	})
	return file_events_simulation_finished_proto_rawDescData
}

var file_events_simulation_finished_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_events_simulation_finished_proto_goTypes = []interface{}{
	(*SimulationFinished)(nil),    // 0: events.SimulationFinished
	(*metadata.Event)(nil),        // 1: metadata.Event
	(*timestamppb.Timestamp)(nil), // 2: google.protobuf.Timestamp
}
var file_events_simulation_finished_proto_depIdxs = []int32{
	1, // 0: events.SimulationFinished.metadata:type_name -> metadata.Event
	2, // 1: events.SimulationFinished.completed_at:type_name -> google.protobuf.Timestamp
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_events_simulation_finished_proto_init() }
func file_events_simulation_finished_proto_init() {
	if File_events_simulation_finished_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_events_simulation_finished_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SimulationFinished); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_events_simulation_finished_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_events_simulation_finished_proto_goTypes,
		DependencyIndexes: file_events_simulation_finished_proto_depIdxs,
		MessageInfos:      file_events_simulation_finished_proto_msgTypes,
	}.Build()
	File_events_simulation_finished_proto = out.File
	file_events_simulation_finished_proto_rawDesc = nil
	file_events_simulation_finished_proto_goTypes = nil
	file_events_simulation_finished_proto_depIdxs = nil
}
